## debian-installer 20241227

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Temporary workaround for #823881:
export MTOOLS_SKIP_CHECK=1

# Temporary workaround for #1036019:
export DRM_DIR := /usr/lib/modules/$(KERNELVERSION)/kernel/drivers/gpu/drm
ifndef DRM_MODULES
export DRM_MODULES :=          \
	drm_shmem_helper.ko    \
	drm_ttm_helper.ko      \
	drm_vram_helper.ko     \
	tiny/bochs.ko          \
	tiny/cirrus.ko         \
	ttm/ttm.ko
endif

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin
EATMYDATA = $(shell which eatmydata 2>/dev/null)

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
endif

define drop_lang
	@echo "Dropping languages: $(1)"
	@set -e; \
	for FILE in $$(find $(TREE)/var/lib/dpkg -name "*.templates"); do \
		perl -e 'my $$status=0; my $$drop=shift; while (<>) { if (/^[A-Z]/ || /^$$/) { if (/^(Choices|Description|Indices|Default)-($$drop)/ && ! /^Choices-C:/) { $$status = 0 } else { $$status = 1 } } print if ($$status); }' $(1) < $$FILE > temp; \
		mv temp $$FILE; \
	done
endef

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)
OS = $(DEB_HOST_ARCH_OS)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))

# Overridden in config/hurd.cfg
define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -m 0
endef

# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/$(ARCH).cfg
-include config/$(OS).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
-include config/local

export KEYRING
export KERNELVERSION
export LOCALUDEBDIR
export SOURCE_DATE_EPOCH

ifneq ($(shell id -u),0)
  ROOTCMD ?= fakeroot
endif

# Useful command sequences
define submake
  $(ROOTCMD) $(MAKE) --no-print-directory -j1
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED) $(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED)$(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define mkinitramfs
  (cd $(TREE) && find . | sort | cpio --reproducible --quiet -o -H newc) >
endef

define clamp_mtimes
  find $(1) -newermt "@$(SOURCE_DATE_EPOCH)" -print0 | xargs -0r touch --no-dereference --date="@$(SOURCE_DATE_EPOCH)"
endef

define normalise_permissions
  find $(1) -type d -print0 | xargs -0r chmod $(DIR_MODE)
  find $(1) -not -type d -and -not -type l -print0 | xargs -0r chmod $(FILE_MODE)
endef

define e2fsck
  e2fsck -fy
endef

define gzip
  pigz -nm
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -p -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)$(SUBARCH_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) $(SUBARCH_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)$(MEDIUM_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) $(MEDIUM_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)$(FLAVOUR_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) $(FLAVOUR_SUPPORTED_EXTRA) | grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list RECURSE_EXTRA=1

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	for png in $(shell awk -F= '/^SPLASH_PNG=/ {print $$2}' config/*.cfg); do if [ -f $${png%%.png}.svg ]; then rm -f $$png; fi; done
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -p -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)
	# Ensure build results have reproducible mtimes
	@$(clamp_mtimes) $(BASE_DEST)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA256SUMS
	cd $(BASE_DEST) && md5sum `find -L . -type f | sort` > MD5SUMS # XXX remove this
	cd $(BASE_DEST) && sha256sum `find -L . -type f | sort` > SHA256SUMS
	# We have just modified files
	$(clamp_mtimes) $(BASE_DEST)
	$(normalise_permissions) $(BASE_DEST)

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	@[ -d ../debian ] || { echo "directory '../debian' not found; complete source of 'debian-installer' package is required"; false; }
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

ifdef TRANSSTATUS
	# Include translation status file; warn if older than 2 weeks.
	# Do this first to make possible warnings more visible.
	@echo; \
	if [ -f "$(TRANSSTATUS)" ]; then \
		if [ "$(USE_PROPOSED_UPDATES)" != 1 ]; then \
			olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
			if [ "$$olddate" ]; then \
				if [ $$(( $$(date -u "+%s") - \
				          $$(date -d "$$olddate" "+%s") \
				       )) -gt 1209600 ]; then \
					echo "WARNING: The data in '$(TRANSSTATUS)' is older than 2 weeks."; \
					echo "         Should it maybe be updated?"; \
					sleep 15; \
				fi; \
			else \
				echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
				sleep 15; \
			fi; \
		fi; \
		mkdir -p $(TREE)/usr/share/localechooser; \
		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
	else \
		echo "WARNING: the file $(TRANSSTATUS) does not exist."; \
		sleep 5; \
	fi
endif

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			$(EATMYDATA) dpkg $(DPKG_UNPACK_OPTIONS) --path-include='*' --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
			usedsize=`echo $$newsize - $$oldsize | bc`; \

=== debian/changelog ===
debian-installer (20241227) unstable; urgency=medium

  [ Cyril Brulebois ]
  * The “さようなら、あーうぇんちゃん” release.
  * Bump Linux kernel ABI to 6.12.6.
  * Bump (temporary) linux-image build-deps accordingly.
  * Set DRM_DIR using /usr/lib/… instead of /lib/… since the former is where
    linux-image-* packages ship their modules.
  * Update translation-status for the release.
  * Drop the “12” version from the Emerald boot screen: drop the SVG paths
    for the 1 and 2 digits after the Debian logo and name, to avoid any
    confusion until the Ceratopsian theme gets integrated.

  [ Aurelien Jarno ]
  * Add riscv64 to RELEASE_ARCHES in order to use udebs from testing. Do not
    force DEBIAN_RELEASE to unstable.
  * Add monolithic support for riscv64.
  * Update riscv64 grub config to use UEFI Graphics Output Protocol if
    available.
  * Create a UEFI Unified Kernel Image (UKI) for the netboot and monolithic
    targets on riscv64.

  [ Ben Hutchings ]
  * Update pkg-lists to make kernel udebs removed in 6.11.2-1 optional

  [ John Paul Adrian Glaubitz ]
  * loong64: Add scsi-modules to cdrom pkg-lists

  [ Pascal Hambourg ]
  * Add console-setup-pc-ekmap for arm64 and armhf cdrom. Closes: #1089010.

  [ Timothy Pearson ]
  * Add fb-modules for ppc64 and ppc64el cdrom and netboot. Closes: #1037186.

  [ John Paul Adrian Glaubitz ]
  * sh4: Don't unversion the kernel as multiple flavors are supported

 -- Cyril Brulebois <kibi@debian.org>  Fri, 27 Dec 2024 10:14:03 +0100

=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
Build-Depends:
# Base build dependencies:
	debhelper (>= 11),
#		Of course.
	apt (>= 0.8.16),
# 		Used for downloading udebs.
	apt-utils,
# 		apt-ftparchive is used for including localudebs.
	gnupg,
#		New versions of apt need gnupg for security checks.
	debian-archive-keyring (>= 2006.11.22),
#		To provide the archive key for security checks.
	dctrl-tools,
#		Various manipulations of the udeb Packages files.
	wget,
#		Used to test validity of mirrors.
	bc,
#		Used for some image size calculations.
	xsltproc,
	docbook-xml,
	docbook-xsl,
#		The d-i partman-doc and internals manual is in DocBook XML 4.x.
	unifont-bin,
#		For hex2bdf used in font building.
	bogl-utils,
#		For bdftobogl used in font reduction.
	libgcc-s1 [!hppa !m68k], libgcc-s2 [m68k], libgcc-s4 [hppa],
#		The GCC support library is copied to the to the installation
#		image. This is a hack and needs to be replaced by a proper
#		udeb.
#
# Filesystem tools:
	genext2fs (>= 1.3-7.1),
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
	e2fsprogs,
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
	genisoimage [!s390 !s390x],
#		For making mini isos.
	genromfs [sparc sparc64],
#		Used for creating sparc floppies (which are not built by
#		default.)
	dosfstools [hurd-i386 hurd-amd64 i386 ia64 loong64 m68k amd64 armhf arm64 riscv64],
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		m68k uses it for atari floppies
#		armhf uses it for building bootable SD card images
	cpio (>= 2.11+dfsg-6),
#		For creating (reproducible) initramfs images.
	pigz,
#		For compressing various files.
	xz-utils,
#		For compressing initramfs images.
	devio [armeb armel],
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
	dns323-firmware-tools (>= 0.7.3-1~) [armel],
#		For building firmware images for the D-Link DNS-32(0|3).
	u-boot-tools [armel armhf arm64],
#		For creating u-boot images
	depthcharge-tools [amd64 arm64],
#		For creating images for ChromeOS devices
#
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
	syslinux [i386 amd64],
	syslinux-utils [i386 amd64],
	isolinux [i386 amd64],
	pxelinux [i386 amd64],
	syslinux-common (>= 3:6) [i386 amd64],
#		With isohybrid.
	aboot (>= 0.9b-2) [alpha],
#		A previous version didn't have netabootwrap.
	palo [hppa],
#		Bootloader for hppa machines, to make netboot images.
	sparc-utils [sparc sparc64],
#		For elftoaout and piggyback, to make netboot images.
	atari-bootstrap [m68k],
#		Booting and other tools for Atari systems.
	vmelilo [m68k],
	m68k-vme-tftplilo [m68k],
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
	amiboot [m68k],
#		Bootloader for m68k/amiga machines.
	emile [m68k],
	emile-bootblocks [m68k],
#		Bootloader for m68k/mac machines.
	shim-signed [amd64 arm64],
	grub-efi-amd64-signed [amd64],
	grub-efi-arm64-signed [arm64],
#	        Signed bootloader components for UEFI Secure Boot
	grub-efi-amd64-bin [hurd-amd64],
	grub-efi-arm64-bin [arm64],
	grub-efi-ia32-bin [hurd-i386 i386],
	grub-efi-ia64-bin [ia64],
	grub-efi-loong64-bin [loong64],
	grub-efi-arm-bin [armhf],
	grub-efi-riscv64-bin [riscv64],
	grub-common [amd64 arm64 i386 loong64 riscv64], xorriso,
#		Used to make EFI bootable images
	grub-ieee1275-bin [powerpc ppc64 ppc64el sparc sparc64],
#		IEEE1275 bootloader support.
	u-boot-imx (>= 2021.04~rc4+dfsg-1~) [armhf],
	u-boot-omap (>= 2016.09~rc1) [armhf],
	u-boot-sunxi (>= 2019.07+dfsg-1~) [armhf],
	u-boot-sunxi (>= 2021.01+dfsg-1~) [arm64],
	u-boot-rockchip (>= 2020.04+dfsg-1~) [armhf],
	u-boot-rockchip (>= 2021.01+dfsg-1~) [arm64],
#		U-boot binaries for armhf systems without u-boot in flash memory
	arm-trusted-firmware [arm64],
	device-tree-compiler [arm64],
#		arm-trusted-firmware for allwinner, used in combination with
#		u-boot-sunxi to produce bootable arm64 images.
	u-boot (>= 2016.01+dfsg1-1~) [armel],
#		U-boot binaries for armel systems
	systemd-boot-efi [riscv64], systemd-ukify [riscv64],
#		UEFI Unified Kernel Image (UKI) on riscv64 systems
#
# Architecture specific build dependencies:
	tofrodos [i386 amd64],
#		For todos, used on files that need to be accessible from
#		DOS.
	mtools [i386 ia64 loong64 m68k amd64 armhf arm64 riscv64 hurd-i386 hurd-amd64],
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them. Note that patches from #900409 and #900410
#		are required for a reproducible build (available since
#		4.0.18-2.1).
#
	kmod [linux-any],
#		depmod.
#
	unifont [!s390 !s390x],
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
	openssl,
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it. Also useful on other
#		architectures if SSL_CERTS has been set locally.
	win32-loader (>= 0.7.2) [i386 amd64 hurd-i386 hurd-amd64],
#		Alternative boot method for win32 platforms.
	grub-pc (>= 2.02~beta2~) [hurd-i386 hurd-amd64],
#		Used as the CD-ROM's bootloader
	xorriso (>= 1.3.2-1~) [hurd-i386 hurd-amd64],
#               Used by grub-pc to create the CD-ROM images
	debian-ports-archive-keyring [alpha hppa ia64 loong64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32],
#		Used for architectures hosted on debian-ports.org
	librsvg2-bin [any-amd64 any-i386],
#		Used to convert splash SVG to splash PNG during build
	fdisk [amd64 arm64 armhf i386 loong64],
#		sfdisk is used by util/gen-hd-image when creating SD card
#		images for arm64 and armhf systems.
#		fdisk is used is used by util/geniso_hybrid_plus_firmware_partition
#		when creating ISO hybrid images on amd64 and i386 systems.
	fontconfig,
#		Used to generate a font cache through fc-cache, for gtk flavours
	linux-image-6.12.6-amd64 [amd64],
	linux-image-6.12.6-arm64 [arm64],
#		Ship some more drm modules, without waiting on fb-modules (#1036019)

Package: debian-installer
Architecture: any
Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
Depends: ${misc:Depends}
Description: Debian Installer documentation
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.

## debian-installer 20241227devuan1

=== debian/changelog ===
debian-installer (20241227devuan1) unstable; urgency=medium

  * Merge tag 20241227.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 31 Dec 2024 07:18:52 +0000

debian-installer (20240914devuan1) unstable; urgency=medium

  * Merge tag 20240914.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 15 Sep 2024 16:04:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Cyril Brulebois <kibi@debian.org>
+Maintainer: Devuan Maintainers <devuan-dev@lists.dyne.org>
+Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
 Standards-Version: 4.3.0
-Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
-Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
+Vcs-Git: git://git.devuan.org/devuan/debian-installer.git
+Vcs-Browser: https://git.devuan.org/devuan/debian-installer/
+Origin: Devuan
 Build-Depends:
 # Base build dependencies:
 	debhelper (>= 11),
@@ -16,7 +17,7 @@
 # 		apt-ftparchive is used for including localudebs.
 	gnupg,
 #		New versions of apt need gnupg for security checks.
-	debian-archive-keyring (>= 2006.11.22),
+	devuan-keyring (>= 2016.11.22),
 #		To provide the archive key for security checks.
 	dctrl-tools,
 #		Various manipulations of the udeb Packages files.
@@ -174,8 +175,7 @@
 
 Package: debian-installer
 Architecture: any
-Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
 Depends: ${misc:Depends}
-Description: Debian Installer documentation
- This package currently only contains some documentation for the Debian
- installer. We welcome suggestions about what else to put in it.
+Description: Devuan's debian installer
+ This package currently only contains some documentation for the Devuan version
+ of the debian installer. We welcome suggestions about what else to put in it.

=== debian/rules ===
#! /usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(firstword $(subst +~, ,$(subst ., ,$(VERSION))))
SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)

# Daily builds vs. uploads to unstable:
ifeq (${SUITE},UNRELEASED)
USE_UDEBS_FROM=unstable
TRANSSTATUS=
BOOTMENU_BEEP=n
else
USE_UDEBS_FROM=excalibur
USE_PROPOSED_UPDATES=0
TRANSSTATUS=translation-status
BOOTMENU_BEEP=y
endif

# Adjust for non-released ports if needed:
RELEASE_ARCHES=amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el riscv64 s390x
ifeq (,$(filter $(ARCH), $(RELEASE_ARCHES)))
USE_UNRELEASED=1
USE_UDEBS_FROM=unstable
USE_PROPOSED_UPDATES=0
endif

# allow these aspects of the build to be overriden (see salsa-ci.yml)
BUILD_TARGETS ?= all_build stats release
ADDITIONAL_BUILD_PRODUCT ?= tarball

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(DATE)
IMAGEDIR=$(DESTDIR)/images
TARNAME=devuan-installer-images_$(VERSION)_$(ARCH).tar.gz

export SOURCE_DATE_EPOCH

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean
	$(MAKE) -C doc/devel/internals clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build $(BUILD_TARGETS) \
		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
		USE_UNRELEASED=$(USE_UNRELEASED) \
		PRESEED=$(PRESEED) \
		$(addprefix LINUX_KERNEL_ABI=,$(LINUX_KERNEL_ABI)) \
		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)

publish-tarball:
	./build/util/gen-tarball debian/tmp ../$(TARNAME)
	dpkg-distaddfile $(TARNAME) raw-installer -

publish-miniiso:
	cp ./build/tmp/netboot-gtk/mini.iso ../debian-$(VERSION)-$(ARCH)-gtkmini.iso

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/internals
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(DATE) $(ARCHIVEDIR)/current

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
		-X internals.xml -X partman-doc.dbk -X .gitignore
	dh_compress
	dh_fixperms

	./build/util/write-built-using

	dh_gencontrol
	dh_md5sums
	dh_builddeb

	debian/rules publish-$(ADDITIONAL_BUILD_PRODUCT)

binary-indep:

binary: binary-indep binary-arch
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20250515

=== build/Makefile ===
--- 
+++ 
@@ -74,11 +74,11 @@
 
 # We don't want this to be run each time we re-enter.
 ifndef DEB_HOST_ARCH
-DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
-DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
-DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_HOST_GNU_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
+DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
+DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
 endif

=== doc/talks/fswc3.0/Makefile ===
TEX    = latex
DVIPS  = dvips
PDFTEX = pdflatex

.PHONY: clean
.SILENT: all dvi clean


SOURCES = $(shell ls | grep -e '\.tex')
SOURCE  = g-i_workmeeting

all: pdf

pdf: $(SOURCES:.tex=.pdf)

dvi: $(SOURCES:.tex=.dvi) 

ps:  buildps

buildps: $(SOURCES:.dvi=.ps)

.tex.dvi:
	$(TEX) $(TEXARGS) $(SOURCE)

.dvi.ps:
	$(DVIPS) $(DVIPSARGS) $<

d-i_qa.pdf: d-i_qa.tex
	$(PDFTEX) $<
	$(PDFTEX) $<

.tex.pdf:
	$(PDFTEX) $(PDFTEXARGS) $<

clean:
	rm -rf *.log *.nav *.out *.snm *.toc *.aux

distclean: clean
	rm -rf *.pdf *.dvi *.ps

=== debian/changelog ===
debian-installer (20250515) unstable; urgency=medium

  [ Alper Nebi Yasak ]
  * Use simple assignment for dpkg-architecture variables in Makefile
    (Closes: #1091537)
  * [arm64] Increase SD card image sizes for netboot (150MB → 300MB) and
    netboot-gtk (200MB → 400MB).

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 6.12.27.
  * Bump (temporary) linux-image build-deps accordingly.
  * Stop called depmod with deprecated option -q, ignored by kmod v33, and
    now rejected by kmod v34.
  * Update translation-status for the release.

  [ Niels Thykier ]
  * Set `Rules-Requires-Root: binary-targets` (Closes: #1091668).

  [ Helge Deller ]
  * hppa: Add some important kernel modules to hppa cdrom image to avoid
    dependency of current kernel in debian-ports archive

  [ Samuel Thibault ]
  * hurd-amd64: Fix xen kernel package name.
  * control: Drop gnupg build-dependency, not used by apt any more.

  [ Holger Wansing ]
  * Drop support for win32-loader.

  [ Vagrant Cascadian ]
  * armhf: Drop u-boot image for PandaBoard, support was removed from
    u-boot upstream version 2024.10.

  [ Steve McIntyre ]
  * Add initial support for the Ceratopsian theme (Debian 13).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 15 May 2025 05:49:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Devuan Maintainers <devuan-dev@lists.dyne.org>
-Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Cyril Brulebois <kibi@debian.org>
+Rules-Requires-Root: binary-targets
 Standards-Version: 4.3.0
-Vcs-Git: git://git.devuan.org/devuan/debian-installer.git
-Vcs-Browser: https://git.devuan.org/devuan/debian-installer/
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
+Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
 Build-Depends:
 # Base build dependencies:
 	debhelper (>= 11),
@@ -15,9 +15,7 @@
 # 		Used for downloading udebs.
 	apt-utils,
 # 		apt-ftparchive is used for including localudebs.
-	gnupg,
-#		New versions of apt need gnupg for security checks.
-	devuan-keyring (>= 2016.11.22),
+	debian-archive-keyring (>= 2006.11.22),
 #		To provide the archive key for security checks.
 	dctrl-tools,
 #		Various manipulations of the udeb Packages files.
@@ -152,8 +150,6 @@
 #		Used to encrypt a firmware image so an ARM based device
 #		(Thecus N2100) will accept it. Also useful on other
 #		architectures if SSL_CERTS has been set locally.
-	win32-loader (>= 0.7.2) [i386 amd64 hurd-i386 hurd-amd64],
-#		Alternative boot method for win32 platforms.
 	grub-pc (>= 2.02~beta2~) [hurd-i386 hurd-amd64],
 #		Used as the CD-ROM's bootloader
 	xorriso (>= 1.3.2-1~) [hurd-i386 hurd-amd64],
@@ -169,13 +165,14 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-6.12.6-amd64 [amd64],
-	linux-image-6.12.6-arm64 [arm64],
+	linux-image-6.12.27-amd64 [amd64],
+	linux-image-6.12.27-arm64 [arm64],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
 
 Package: debian-installer
 Architecture: any
+Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
 Depends: ${misc:Depends}
-Description: Devuan's debian installer
- This package currently only contains some documentation for the Devuan version
- of the debian installer. We welcome suggestions about what else to put in it.
+Description: Debian Installer documentation
+ This package currently only contains some documentation for the Debian
+ installer. We welcome suggestions about what else to put in it.

## debian-installer 20250515devuan1

=== debian/changelog ===
debian-installer (20250515devuan1) unstable; urgency=medium

  * Merge tag 20250515.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 15 May 2025 19:13:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Cyril Brulebois <kibi@debian.org>
+Maintainer: Devuan Maintainers <devuan-dev@lists.dyne.org>
+Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
 Rules-Requires-Root: binary-targets
 Standards-Version: 4.3.0
-Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
-Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
+Vcs-Git: git://git.devuan.org/devuan/debian-installer.git
+Vcs-Browser: https://git.devuan.org/devuan/debian-installer/
+Origin: Devuan
 Build-Depends:
 # Base build dependencies:
 	debhelper (>= 11),
@@ -15,7 +16,7 @@
 # 		Used for downloading udebs.
 	apt-utils,
 # 		apt-ftparchive is used for including localudebs.
-	debian-archive-keyring (>= 2006.11.22),
+	devuan-keyring (>= 2016.11.22),
 #		To provide the archive key for security checks.
 	dctrl-tools,
 #		Various manipulations of the udeb Packages files.
@@ -171,8 +172,7 @@
 
 Package: debian-installer
 Architecture: any
-Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
 Depends: ${misc:Depends}
-Description: Debian Installer documentation
- This package currently only contains some documentation for the Debian
- installer. We welcome suggestions about what else to put in it.
+Description: Devuan's debian installer
+ This package currently only contains some documentation for the Devuan version
+ of the debian installer. We welcome suggestions about what else to put in it.

## debian-installer 20250630+kali1

=== build/Makefile ===
--- 
+++ 
@@ -66,6 +66,17 @@
 	tiny/bochs.ko          \
 	tiny/cirrus.ko         \
 	ttm/ttm.ko
+endif
+
+# Sound support for Intel might be funky and require i915 bits:
+export DRIVERS_DIR := /usr/lib/modules/$(KERNELVERSION)/kernel/drivers
+ifndef SPEECH_MODULES
+export SPEECH_MODULES :=                      \
+	gpu/drm/display/drm_display_helper.ko \
+	gpu/drm/drm_buddy.ko                  \
+	gpu/drm/i915/i915.ko                  \
+	media/cec/core/cec.ko                 \
+	media/rc/rc-core.ko
 endif
 
 # Add to PATH so dpkg will always work, and so local programs will be found.
@@ -373,10 +384,3 @@
 	echo -n > $(TEMP)/diskusage.txt
 	set -e; \
 	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
-		if [ -f "$$udeb" ]; then \
-			pkg=`basename $$udeb` ; \
-			$(EATMYDATA) dpkg $(DPKG_UNPACK_OPTIONS) --path-include='*' --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
-			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
-			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
-			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
-			usedsize=`echo $$newsize - $$oldsize | bc`; \

=== debian/changelog ===
debian-installer (20250630+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Bump Linux kernel ABI to 6.12.33+kali

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 01 Jul 2025 11:46:01 +0200

debian-installer (20250630) unstable; urgency=medium

  * Bump Linux kernel ABI to 6.12.33+deb13.
  * Bump (temporary) linux-image build-deps accordingly.
  * Add MotoyaLCedar font for proper Japanese support, with many thanks to
    Kentaro HAYASHI (#1037256):
     - Add fonts-motoya-l-cedar-udeb to gtk-common.
  * Stop setting DPKG_UNPACK_OPTIONS = --force-overwrite, as we shouldn't
    be needing this nominally, and it tends to hide bugs (See: #1107392).
    With thanks to Jörn Heissler for the bug report and Michael Tokarev
    for the quick fix on the busybox-udeb side.
  * Improve support for speech synthesis, embedding some i915-related
    modules on amd64, for graphical targets.
  * Update translation-status for the release.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 30 Jun 2025 20:46:10 +0200

debian-installer (20250506+kali1) kali-dev; urgency=medium

  [ Alper Nebi Yasak ]
  * [arm64] Increase SD card image sizes for netboot (150MB → 300MB) and
    netboot-gtk (200MB → 400MB).

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 6.12.25.
  * Bump (temporary) linux-image build-deps accordingly.

  [ Samuel Thibault ]
  * control: Drop gnupg build-dependency, not used by apt any more.

  [ Holger Wansing ]
  * Drop support for win32-loader.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 06 May 2025 11:09:20 +0200

debian-installer (20250402+kali1) kali-dev; urgency=medium

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 6.12.20.
  * Bump (temporary) linux-image build-deps accordingly.
  * Stop called depmod with deprecated option -q, ignored by kmod v33, and
    now rejected by kmod v34.

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 02 Apr 2025 15:55:43 +0200

debian-installer (20250213+kali1) kali-dev; urgency=medium

  [ Alper Nebi Yasak ]
  * Use simple assignment for dpkg-architecture variables in Makefile
    (Closes: #1091537)

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 6.12.13.
  * Bump (temporary) linux-image build-deps accordingly.

  [ Niels Thykier ]
  * Set `Rules-Requires-Root: binary-targets` (Closes: #1091668).

  [ Helge Deller ]
  * hppa: Add some important kernel modules to hppa cdrom image to avoid
    dependency of current kernel in debian-ports archive

  [ Samuel Thibault ]
  * hurd-amd64: Fix xen kernel package name.

  [ Sophie Brun ]
  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 13 Feb 2025 15:57:29 +0100

debian-installer (20241213+kali2) kali-dev; urgency=medium

  * Update boot menu background
  * Optimize boot menu image

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 11 Feb 2025 10:00:09 +0100

debian-installer (20241213+kali1) kali-dev; urgency=medium

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 6.11.10.
  * Bump (temporary) linux-image build-deps accordingly.

  [ Aurelien Jarno ]
  * Add riscv64 to RELEASE_ARCHES in order to use udebs from testing. Do not
    force DEBIAN_RELEASE to unstable.
  * Add monolithic support for riscv64.
  * Update riscv64 grub config to use UEFI Graphics Output Protocol if
    available.

  [ Ben Hutchings ]
  * Update pkg-lists to make kernel udebs removed in 6.11.2-1 optional

  [ John Paul Adrian Glaubitz ]
  * loong64: Add scsi-modules to cdrom pkg-lists

  [ Sophie Brun ]
  * Sync with Salsa for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 13 Dec 2024 11:08:21 +0100

debian-installer (20241021+kali1) kali-dev; urgency=medium

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 6.11.2.
  * Bump (temporary) linux-image build-deps accordingly.

  [ Aurelien Jarno ]
  * Add riscv64 to RELEASE_ARCHES in order to use udebs from testing. Do not
    force DEBIAN_RELEASE to unstable.

  [ Ben Hutchings ]
  * Update pkg-lists to make kernel udebs removed in 6.11.2-1 optional

  [ Sophie Brun ]
  * Sync with Salsa for Kali

 -- Cyril Brulebois <kibi@debian.org>  Mon, 23 Sep 2024 16:38:37 +0200

debian-installer (20240912+kali7) kali-dev; urgency=medium

  * Bump to kernel 6.10.11

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Oct 2024 10:14:29 +0200

debian-installer (20240912+kali6) kali-dev; urgency=medium

  * Upload to kali-dev 

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 09 Oct 2024 08:41:42 +0700

debian-installer (20240912+kali5) kali-experimental; urgency=medium

  * Automatically use packages from kali-experimental

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 07 Oct 2024 13:51:48 +0700

debian-installer (20240912+kali4) kali-experimental; urgency=medium

  * Upload to kali-experimental

 -- Arnaud Rebillout <arnaudr@kali.org>  Sat, 05 Oct 2024 20:25:36 +0700

debian-installer (20240912+kali3) kali-dev; urgency=medium

  * Fix the build on i386, this arch is no longer supported for Secure Boot
  * Bump Linux kernel ABI to 6.10.9.

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 13 Sep 2024 15:19:34 +0200

debian-installer (20240912+kali2) kali-dev; urgency=medium

  * Downgrade Linux kernel ABI to 6.8.11 

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 12 Sep 2024 18:40:52 +0200

debian-installer (20240912+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 12 Sep 2024 18:27:36 +0200

debian-installer (20240531+kali2) kali-dev; urgency=medium

  [ Helmut Grohne ]
  * extend merge-usr tool to cover base-files functionality

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 28 Jun 2024 11:39:41 +0700

debian-installer (20240531+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 10 Jun 2024 15:09:34 +0200

debian-installer (20240416+kali1) kali-dev; urgency=medium

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 6.6.15.
  * Bump linux-image build-deps accordingly.

  [ Holger Wansing ]


=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Devuan Maintainers <devuan-dev@lists.dyne.org>
-Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Cyril Brulebois <kibi@debian.org>
 Rules-Requires-Root: binary-targets
 Standards-Version: 4.3.0
-Vcs-Git: git://git.devuan.org/devuan/debian-installer.git
-Vcs-Browser: https://git.devuan.org/devuan/debian-installer/
-Origin: Devuan
+XS-Debian-Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
+Vcs-Git: https://gitlab.com/kalilinux/packages/debian-installer.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/debian-installer
 Build-Depends:
 # Base build dependencies:
 	debhelper (>= 11),
@@ -16,7 +18,8 @@
 # 		Used for downloading udebs.
 	apt-utils,
 # 		apt-ftparchive is used for including localudebs.
-	devuan-keyring (>= 2016.11.22),
+	debian-archive-keyring (>= 2006.11.22),
+	kali-archive-keyring,
 #		To provide the archive key for security checks.
 	dctrl-tools,
 #		Various manipulations of the udeb Packages files.
@@ -32,6 +35,8 @@
 #		For hex2bdf used in font building.
 	bogl-utils,
 #		For bdftobogl used in font reduction.
+	ca-certificates,
+#               To embed CA certificates to verify https connections
 	libgcc-s1 [!hppa !m68k], libgcc-s2 [m68k], libgcc-s4 [hppa],
 #		The GCC support library is copied to the to the installation
 #		image. This is a hack and needs to be replaced by a proper
@@ -100,10 +105,12 @@
 	emile [m68k],
 	emile-bootblocks [m68k],
 #		Bootloader for m68k/mac machines.
-	shim-signed [amd64 arm64],
-	grub-efi-amd64-signed [amd64],
-	grub-efi-arm64-signed [arm64],
+#	shim-signed [amd64 arm64],
+#	grub-efi-amd64-signed [amd64],
+#	grub-efi-arm64-signed [arm64],
 #	        Signed bootloader components for UEFI Secure Boot
+	shim-unsigned [amd64 arm64],
+	grub-efi-amd64-bin [amd64],
 	grub-efi-amd64-bin [hurd-amd64],
 	grub-efi-arm64-bin [arm64],
 	grub-efi-ia32-bin [hurd-i386 i386],
@@ -166,13 +173,14 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-6.12.27-amd64 [amd64],
-	linux-image-6.12.27-arm64 [arm64],
+	linux-image-6.12.33+kali-amd64 [amd64],
+	linux-image-6.12.33+kali-arm64 [arm64],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
 
 Package: debian-installer
-Architecture: any
+Architecture: amd64 arm64 armhf
+Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
 Depends: ${misc:Depends}
-Description: Devuan's debian installer
- This package currently only contains some documentation for the Devuan version
- of the debian installer. We welcome suggestions about what else to put in it.
+Description: Debian Installer documentation
+ This package currently only contains some documentation for the Debian
+ installer. We welcome suggestions about what else to put in it.

## debian-installer 20250701

=== build/Makefile ===
--- 
+++ 
@@ -106,7 +106,6 @@
 # via recursive make calls. ARCH is constant, we don't support
 # crosscompiling.
 ARCH = $(DEB_HOST_ARCH)
-OS = $(DEB_HOST_ARCH_OS)
 
 # By default, we just advertise what we can do.
 .PHONY: all
@@ -130,7 +129,6 @@
 include config/common
 include config/dir
 -include config/$(ARCH).cfg
--include config/$(OS).cfg
 -include config/$(ARCH)/$(SUBARCH).cfg
 -include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
 -include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
@@ -384,3 +382,5 @@
 	echo -n > $(TEMP)/diskusage.txt
 	set -e; \
 	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
+		if [ -f "$$udeb" ]; then \
+			pkg=`basename $$udeb` ; \

=== debian/changelog ===
debian-installer (20250701) unstable; urgency=medium

  * Remove kmod-udeb_30+20230601-2.1 from CHECK_MINIMAL_VERSION. It was
    hidden away and now triggers problems on mips64el for reasons that
    remain to be investigated.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 01 Jul 2025 12:07:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,12 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Maintainer: Kali Developers <devel@kali.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Cyril Brulebois <kibi@debian.org>
 Rules-Requires-Root: binary-targets
 Standards-Version: 4.3.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
-Vcs-Git: https://gitlab.com/kalilinux/packages/debian-installer.git
-Vcs-Browser: https://gitlab.com/kalilinux/packages/debian-installer
+Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
+Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
 Build-Depends:
 # Base build dependencies:
 	debhelper (>= 11),
@@ -19,7 +16,6 @@
 	apt-utils,
 # 		apt-ftparchive is used for including localudebs.
 	debian-archive-keyring (>= 2006.11.22),
-	kali-archive-keyring,
 #		To provide the archive key for security checks.
 	dctrl-tools,
 #		Various manipulations of the udeb Packages files.
@@ -35,8 +31,6 @@
 #		For hex2bdf used in font building.
 	bogl-utils,
 #		For bdftobogl used in font reduction.
-	ca-certificates,
-#               To embed CA certificates to verify https connections
 	libgcc-s1 [!hppa !m68k], libgcc-s2 [m68k], libgcc-s4 [hppa],
 #		The GCC support library is copied to the to the installation
 #		image. This is a hack and needs to be replaced by a proper
@@ -105,12 +99,10 @@
 	emile [m68k],
 	emile-bootblocks [m68k],
 #		Bootloader for m68k/mac machines.
-#	shim-signed [amd64 arm64],
-#	grub-efi-amd64-signed [amd64],
-#	grub-efi-arm64-signed [arm64],
+	shim-signed [amd64 arm64],
+	grub-efi-amd64-signed [amd64],
+	grub-efi-arm64-signed [arm64],
 #	        Signed bootloader components for UEFI Secure Boot
-	shim-unsigned [amd64 arm64],
-	grub-efi-amd64-bin [amd64],
 	grub-efi-amd64-bin [hurd-amd64],
 	grub-efi-arm64-bin [arm64],
 	grub-efi-ia32-bin [hurd-i386 i386],
@@ -173,12 +165,12 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-6.12.33+kali-amd64 [amd64],
-	linux-image-6.12.33+kali-arm64 [arm64],
+	linux-image-6.12.33+deb13-amd64 [amd64],
+	linux-image-6.12.33+deb13-arm64 [arm64],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
 
 Package: debian-installer
-Architecture: amd64 arm64 armhf
+Architecture: any
 Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
 Depends: ${misc:Depends}
 Description: Debian Installer documentation
